## service-produit-fiche-v1@1.1.34

### Building

To build an compile the typescript sources to javascript use:
```
npm install
npm run build
```

### publishing

First build the package than run ```npm publish```

### consuming

navigate to the folder of your consuming project and run one of next commando's.

_published:_

```
npm install service-produit-fiche-v1@1.1.34 --save
```

_unPublished (not recommended):_

```
npm install PATH_TO_GENERATED_PACKAGE --save
```

In your Vuejs2 bootstrap:

```
import ligneV1 from 'service-ligne-V1'
...
Vue.use(ligneV1, 'http://127.0.0.1:8181');
```

In your components for API:

```
import ligneV1 from 'service-ligne-V1'
...
let details = lignev1.createLigneDetails()
details.label = 'test'
lignev1.createUsingPOST3(details).then(() => {
    lignev1.getAllUsingGET3().then(data => console.log(data))
})
```

In your compoennts for topic listener:

```
import lignev1 from 'service-ligne-v1'

export default {
  ...
  created: function () {
    this.$topics.subscribe(lignev1.registerTopicTerminee(event => {
      console.log(event)
    }))
  },
  methods: {
    uneMethode: function() {
      this.subscribeTopic(lignev1.registerTopicTermineeFor(23, event => {
        console.log(event);
      }
    },
    uneAutreMethode: function {
      this.unsubscribeTopic(lignev1.unregisterTopicTermineeFor(23));
    }
  }
```